Package org.apache.synapse.commons.emulator.http.dsl

## Class HttpConsumerContext

- java.lang.Object
- - org.apache.synapse.commons.emulator.core.AbstractEmulatorContext
  - - org.apache.synapse.commons.emulator.http.dsl.HttpConsumerContext

-     public class HttpConsumerContext
      extends AbstractEmulatorContext

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpConsumerContext​(HTTPProtocolEmulator httpProtocolEmulator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HttpConsumerContext` | `context​(String context)` |
    `String` | `getContext()` |
    `io.netty.handler.codec.http.HttpVersion` | `getHttpVersion()` |
    `IncomingMessage` | `getIncoming()` |
    `Map<IncomingMessage,​OutgoingMessage>` | `getInOutCorrelation()` |
    `io.netty.channel.ChannelInboundHandlerAdapter` | `getLogicHandler()` |
    `int` | `getReadingDelay()` |
    `int` | `getWritingDelay()` |
    `HttpConsumerContext` | `host​(String host)` |
    `HttpConsumerContext` | `httpVersion​(io.netty.handler.codec.http.HttpVersion httpVersion)` |
    `boolean` | `isRandomConnectionClose()` |
    `HttpConsumerContext` | `logic​(io.netty.channel.ChannelInboundHandlerAdapter logicHandler)` |
    `AbstractProtocolEmulator` | `operations()` |
    `HttpConsumerContext` | `port​(int port)` |
    `HttpConsumerContext` | `randomConnectionClose​(boolean randomConnectionClose)` |
    `HttpConsumerContext` | `readingDelay​(int readingDelay)` |
    `HttpConsumerContext` | `respond​(OutgoingMessage outgoing)` |
    `HttpConsumerContext` | `when​(IncomingMessage incoming)` |
    `HttpConsumerContext` | `writingDelay​(int writingDelay)` |

    - ### Methods inherited from class org.apache.synapse.commons.emulator.core.AbstractEmulatorContext

      `getHost, getPort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpConsumerContext

          public HttpConsumerContext​(HTTPProtocolEmulator httpProtocolEmulator)

  - ### Method Detail

    - #### host

          public HttpConsumerContext host​(String host)

      Overrides:
        `host` in class `AbstractEmulatorContext`

    - #### port

          public HttpConsumerContext port​(int port)

      Overrides:
        `port` in class `AbstractEmulatorContext`

    - #### context

          public HttpConsumerContext context​(String context)

    - #### readingDelay

          public HttpConsumerContext readingDelay​(int readingDelay)

    - #### writingDelay

          public HttpConsumerContext writingDelay​(int writingDelay)

    - #### randomConnectionClose

          public HttpConsumerContext randomConnectionClose​(boolean randomConnectionClose)

    - #### httpVersion

          public HttpConsumerContext httpVersion​(io.netty.handler.codec.http.HttpVersion httpVersion)

    - #### when

          public HttpConsumerContext when​(IncomingMessage incoming)

    - #### logic

          public HttpConsumerContext logic​(io.netty.channel.ChannelInboundHandlerAdapter logicHandler)

    - #### respond

          public HttpConsumerContext respond​(OutgoingMessage outgoing)

    - #### operations

          public AbstractProtocolEmulator operations()

    - #### getContext

          public String getContext()

    - #### getReadingDelay

          public int getReadingDelay()

    - #### getWritingDelay

          public int getWritingDelay()

    - #### isRandomConnectionClose

          public boolean isRandomConnectionClose()

    - #### getHttpVersion

          public io.netty.handler.codec.http.HttpVersion getHttpVersion()

    - #### getLogicHandler

          public io.netty.channel.ChannelInboundHandlerAdapter getLogicHandler()

    - #### getIncoming

          public IncomingMessage getIncoming()

    - #### getInOutCorrelation

          public Map<IncomingMessage,​OutgoingMessage> getInOutCorrelation()